Admin
Get Admin Invoice
Fetch a single admin invoice (admin only). 404 when the invoice does not exist or is not an admin invoice.
Authorization
bearerAuth AuthorizationBearer <token>
Authentication required for all endpoints. Supports Better Auth user credentials and dedicated coworker bearer API keys.
In: header
Path Parameters
id*string
Stripe invoice ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/v1/admin/invoices/in_123"{
"data": {
"invoiceId": "in_123",
"targetType": "user",
"targetId": "user_123",
"targetName": "Ada Lovelace",
"credits": 100,
"ttlDays": 30,
"currency": "eur",
"amountDue": 12000,
"status": "open",
"dashboardUrl": "https://dashboard.stripe.com/acct_123/invoices/in_123"
},
"meta": {
"timestamp": "2025-01-01T00:00:00.000Z",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}
